Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class CellMLDiagramViewBuilder

    java.lang.Object
      biouml.model.DefaultDiagramViewBuilder
          biouml.standard.diagram.PathwayDiagramViewBuilder
              biouml.standard.diagram.PathwaySimulationDiagramViewBuilder
                  biouml.plugins.cellml.CellMLDiagramViewBuilder

All Implemented Interfaces:
  DiagramViewBuilder

public class CellMLDiagramViewBuilder
extends PathwaySimulationDiagramViewBuilder

Field Summary

Fields inherited from class biouml.standard.diagram.PathwaySimulationDiagramViewBuilder
`formulaViewBuilder`

Fields inherited from class biouml.model.DefaultDiagramViewBuilder
`log`

Constructor Summary
`CellMLDiagramViewBuilder()`

Methods inherited from class biouml.standard.diagram.PathwaySimulationDiagramViewBuilder
`createDefaultDiagramViewOptions, createEquationView, createEventView, createMathView, createNodeCoreView, createNodeView, createReactionTitle, createStateView, getDiagram`

Methods inherited from class biouml.standard.diagram.PathwayDiagramViewBuilder
`createCellCoreView, createConceptCoreView, createDiagramView, createEdgeView, createEquivalentNodeGroupView, createFunctionCoreView, createGeneCoreView, createProcessCoreView, createProteinCoreView, createReactionCoreView, createReactionTitles, createRNACoreView, createSemanticRelationView, createStateCoreView, createSubstanceCoreView, doLocateReaction, getReactionBrush, getRelationEndTip, getRelationPen, getRelationStartTip, locateReaction`

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`buildNodes, calcAttachmentPoints, createCompartmentView, createNoteView, doCreateCompartmentView, getIcon, getIcon, hideElement, isReaction, moveNode, proportion, removeElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellMLDiagramViewBuilder

    public CellMLDiagramViewBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.